Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.security.keys.keyresolver.implementations
Class RetrievalMethodResolver

    java.lang.Object
      org.apache.xml.security.keys.keyresolver.KeyResolverSpi
          org.apache.xml.security.keys.keyresolver.implementations.RetrievalMethodResolver

    public class RetrievalMethodResolver

extends KeyResolverSpi

The RetrievalMethodResolver can retrieve public keys and certificates from other locations. The location is specified using the ds:RetrievalMethod element which points to the location. This includes the handling of raw (binary) X.509 certificate which are not encapsulated in an XML structure. If the retrieval process encounters an element which the RetrievalMethodResolver cannot handle itself, resolving of the extracted element is delegated back to the KeyResolver mechanism.

Author:
  $Author: raul $ modified by Dave Garcia

Field Summary

Fields inherited from class org.apache.xml.security.keys.keyresolver.KeyResolverSpi
`globalResolver, properties, secureValidation`

Constructor Summary
`RetrievalMethodResolver()`

Method Summary
`java.security.PublicKey` | `engineLookupAndResolvePublicKey(org.w3c.dom.Element element, java.lang.String baseURI, StorageResolver storage)` Method engineResolvePublicKey
`javax.crypto.SecretKey` | `engineLookupAndResolveSecretKey(org.w3c.dom.Element element, java.lang.String baseURI, StorageResolver storage)` Method engineResolveSecretKey
`java.security.cert.X509Certificate` | `engineLookupResolveX509Certificate(org.w3c.dom.Element element, java.lang.String baseURI, StorageResolver storage)` Method engineResolveX509Certificate

Methods inherited from class org.apache.xml.security.keys.keyresolver.KeyResolverSpi
`engineCanResolve, engineGetProperty, engineLookupAndResolvePrivateKey, engineResolvePublicKey, engineResolveSecretKey, engineResolveX509Certificate, engineSetProperty, setGlobalResolver, setSecureValidation, understandsProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RetrievalMethodResolver

    public RetrievalMethodResolver()

Method Detail

### engineLookupAndResolvePublicKey

    public java.security.PublicKey engineLookupAndResolvePublicKey(org.w3c.dom.Element element,
                                                                   java.lang.String baseURI,
                                                                   StorageResolver storage)

  Method engineResolvePublicKey

  Overrides:
    `engineLookupAndResolvePublicKey` in class `KeyResolverSpi`
  Parameters:
    `element` -
    `baseURI` -
    `storage` -
  Returns:
    resolved public key from the registered from the element.

### engineLookupResolveX509Certificate

    public java.security.cert.X509Certificate engineLookupResolveX509Certificate(org.w3c.dom.Element element,
                                                                                 java.lang.String baseURI,
                                                                                 StorageResolver storage)

  Method engineResolveX509Certificate

  Overrides:
    `engineLookupResolveX509Certificate` in class `KeyResolverSpi`
  Parameters:
    `element` -
    `baseURI` -
    `storage` -
  Returns:
    resolved X509Certificate key from the registered from the elements

### engineLookupAndResolveSecretKey

    public javax.crypto.SecretKey engineLookupAndResolveSecretKey(org.w3c.dom.Element element,
                                                                  java.lang.String baseURI,
                                                                  StorageResolver storage)

  Method engineResolveSecretKey

  Overrides:
    `engineLookupAndResolveSecretKey` in class `KeyResolverSpi`
  Parameters:
    `element` -
    `baseURI` -
    `storage` -
  Returns:
    resolved SecretKey key from the registered from the elements

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD